aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorziggys <ziggys@autistici.org>2018-06-16 16:17:18 -0400
committerziggys <ziggys@autistici.org>2018-06-16 16:17:18 -0400
commit789d7ec1e2a500bc81dbf2844ff54d3cade84d58 (patch)
tree1cc61341600f5c3d43341e5dfcd8205404561721
parent7a6bcc68d20574c09649c2d326a977f63b634602 (diff)
downloadpupm-789d7ec1e2a500bc81dbf2844ff54d3cade84d58.tar
pupm-789d7ec1e2a500bc81dbf2844ff54d3cade84d58.zip
Fix syntax
-rwxr-xr-xpupm.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/pupm.sh b/pupm.sh
index ca55a1c..1f8abaa 100755
--- a/pupm.sh
+++ b/pupm.sh
@@ -21,11 +21,11 @@ echo " license for details"
echo
echo "${0##*/} is a simply shellscript for properly update prosody modules"
echo
-echo "Usage: $0 <configfile>"
+echo "Usage: "${0}" <configfile>"
echo
-echo "Usage: $0 pupm.config"
+echo "Usage: "${0}" pupm.config"
echo
-exit $?
+exit "${?}"
}
# apdeit
@@ -59,7 +59,7 @@ service_restart () {
}
# variabels dat comz from config
-CONFIG="${1}"
+CONFIG="${1?"Usage: ${0} <configfile>"}"
test -z "${CONFIG}" && show_help "${@}"
INPUT="$(mktemp)"
sed '/^#/ d; s/;[ \t].*//g; s/;$//g; s/[ \t]*$//g' "${CONFIG}" > "${INPUT}"